Package org.eclipse.gef

# Interface AccessibleAnchorProvider

All Known Implementing Classes:
  `AbstractConnectionEditPart.DefaultAccessibleAnchorProvider`, `AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

public interface AccessibleAnchorProvider
This class provides keyboard accessibility support for Anchors. Anchors are simply locations (relative to the Viewer's Control) on the GraphicalEditPart's figure indicated by `Points`. Anchors are used when creating or manipulating connections graphically. Accessible Anchors are the locations that should be used during keyboard connection manipulation.

Keyboard connection manipulation moves the Mouse cursor programmatically to the AccessibleAnchor's location. Targeting is still performed as if the User were using the Mouse and not the keyboard. Therefore, the GraphicalEditPart should provide locations that will result in its being targeted by the current tool.

Connection operations involves either the source or target end of a connection. The `AccessibleAnchorProvider` has the option of returning different locations depending on the context of the operation.

## Method Summary

Modifier and Type
Method
Description
`List<org.eclipse.draw2d.geometry.Point>`
`getSourceAnchorLocations()`
Returns a list of Points in absolute coordinates where source anchors are located.
`List<org.eclipse.draw2d.geometry.Point>`
`getTargetAnchorLocations()`
Returns a list of Points in absolute coordinates where target anchors are located.

## Method Details

### getSourceAnchorLocations

List<org.eclipse.draw2d.geometry.Point> getSourceAnchorLocations()
Returns a list of Points in absolute coordinates where source anchors are located. Tools that work with connections should use these locations when operating in accessible keyboard modes.

Returns:
  A list of absolute locations (Points relative to the Viewer's Control)

### getTargetAnchorLocations

List<org.eclipse.draw2d.geometry.Point> getTargetAnchorLocations()
Returns a list of Points in absolute coordinates where target anchors are located. Tools that work with connections should use these locations when operating in accessible keyboard modes.

Returns:
  A list of absolute locations (Points relative to the Viewer's Control)